import { Column } from 'typeorm';
import { ObjectType, Field } from '@nestjs/graphql';
import { Article } from '../entities/article.entity';

@ObjectType()
export class ArticleHistory {
  @Field(() => Object)
  payload: Partial<Article>;

  updatedAt: Date;

  automatic: boolean;

  published: boolean;
}
