import { ObjectScalar } from './scalars/object.scalar';
import { Module } from '@nestjs/common';
import { PasswordConverter } from './services/password-converter';
import { PubSubModule } from './pub-sub/pub-sub.module';
import { AuthModule } from '@nestjs-lib/auth';

@Module({
  imports: [PubSubModule, AuthModule],
  providers: [PasswordConverter, ObjectScalar],
  exports: [PasswordConverter, AuthModule],
})
export class CommonsModule {}
